Package org.apache.ignite.internal.processors.cache.persistence.wal.reader

## Class IgniteWalIteratorFactory.ConsoleLogger

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.reader.IgniteWalIteratorFactory.ConsoleLogger

All Implemented Interfaces:
  `IgniteLogger`

Enclosing class:
  IgniteWalIteratorFactory

    public static class IgniteWalIteratorFactory.ConsoleLogger
    extends Object
    implements IgniteLogger

### Field Summary

Fields
`static IgniteWalIteratorFactory.ConsoleLogger` `INSTANCE`

### Fields inherited from interface org.apache.ignite.IgniteLogger

`DEV_ONLY`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(String msg)` Logs out debug message.
`void` `error​(String msg, @Nullable Throwable e)` Logs error message with optional exception.
`String` `fileName()` Gets name of the file being logged to if one is configured or `null` otherwise.
`IgniteLogger` `getLogger​(Object ctgr)` Creates new logger with given category based off the current instance.
`void` `info​(String msg)` Logs out information message.
`boolean` `isDebugEnabled()` Tests whether `debug` level is enabled.
`boolean` `isInfoEnabled()` Tests whether `info` level is enabled.
`boolean` `isQuiet()` Tests whether Logger is in "Quiet mode".
`boolean` `isTraceEnabled()` Tests whether `trace` level is enabled.
`void` `trace​(String msg)` Logs out trace message.
`void` `warning​(String msg, @Nullable Throwable e)` Logs out warning message with optional exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.IgniteLogger

`debug, error, error, info, trace, warning, warning`

### Field Detail

#### INSTANCE

    public static final IgniteWalIteratorFactory.ConsoleLogger INSTANCE

### Method Detail

#### getLogger

    public IgniteLogger getLogger​(Object ctgr)

Creates new logger with given category based off the current instance.

Specified by:
  `getLogger` in interface `IgniteLogger`
Parameters:
  `ctgr` - Category for new logger.
Returns:
  New logger with given category.

#### trace

    public void trace​(String msg)

Logs out trace message.

Specified by:
  `trace` in interface `IgniteLogger`
Parameters:
  `msg` - Trace message.

#### debug

    public void debug​(String msg)

Logs out debug message.

Specified by:
  `debug` in interface `IgniteLogger`
Parameters:
  `msg` - Debug message.

#### info

    public void info​(String msg)

Logs out information message.

Specified by:
  `info` in interface `IgniteLogger`
Parameters:
  `msg` - Information message.

#### warning

    public void warning​(String msg,
                        @Nullable
                        @Nullable Throwable e)

Logs out warning message with optional exception.

Specified by:
  `warning` in interface `IgniteLogger`
Parameters:
  `msg` - Warning message.
  `e` - Optional exception (can be `null`).

#### error

    public void error​(String msg,
                      @Nullable
                      @Nullable Throwable e)

Logs error message with optional exception.

Specified by:
  `error` in interface `IgniteLogger`
Parameters:
  `msg` - Error message.
  `e` - Optional exception (can be `null`).

#### isTraceEnabled

    public boolean isTraceEnabled()

Tests whether `trace` level is enabled.

Specified by:
  `isTraceEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `trace` level is enabled, `false` otherwise.

#### isDebugEnabled

    public boolean isDebugEnabled()

Tests whether `debug` level is enabled.

Specified by:
  `isDebugEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `debug` level is enabled, `false` otherwise.

#### isInfoEnabled

    public boolean isInfoEnabled()

Tests whether `info` level is enabled.

Specified by:
  `isInfoEnabled` in interface `IgniteLogger`
Returns:
  `true` in case when `info` level is enabled, `false` otherwise.

#### isQuiet

    public boolean isQuiet()

Tests whether Logger is in "Quiet mode".

Specified by:
  `isQuiet` in interface `IgniteLogger`
Returns:
  `true` "Quiet mode" is enabled, `false` otherwise

#### fileName

    public String fileName()

Gets name of the file being logged to if one is configured or `null` otherwise.

Specified by:
  `fileName` in interface `IgniteLogger`
Returns:
  Name of the file being logged to if one is configured or `null` otherwise.